local mod_name = minetest.get_current_modname()
local mod_path = minetest.get_modpath(mod_name)
local S = minetest.get_translator(mod_name)

minetest.register_tool("aom_underworld:mythril_pickaxe", {
    description = S("Mythril Pickaxe"),
    _tt_color = 5,
    -- _tt_uses = 10000,
    inventory_image = "aom_underworld_mythril_pickaxe.png",
    tool_capabilities = aom_util.register_tool_cap("aom_underworld:mythril_pickaxe", {
        groupcaps = {
            cracky = {
                max_drop_level = 6,
                times = { 0.07, 0.07, 0.3, 0.6, 0.8, 10 },
                uses = 0,
            },
            magicky = {
                max_drop_level = 4,
                times = { 0.2, 0.25, 2, 3 },
                uses = 0,
            },
            choppy = {
                max_drop_level = 3,
                times = { 0.07 },
                uses = 0,
            },
            snappy = {
                max_drop_level = 3,
                times = { 0.01 },
                uses = 0,
            },
            crumbly = {
                max_drop_level = 3,
                times = { 0.07 },
                uses = 0,
            },
        },
        damage_groups = {
            pierce=4,
        },
    }),
    groups = { pickaxe = 5 },
})
if true then
    local r = "aom_underworld:cortite_rod"
    local m = "aom_underworld:mythril"
    minetest.register_craft({
        output = "aom_underworld:mythril_pickaxe",
        recipe = {
        {m, m, m},
        {"",r,""},
        {"",r,""},
        },
    })
end
